OSSIM-AUTREG(1)

NAME
ossim-autreg - ossim-autreg

SYNOPSIS
ossim-autreg [option]... [input-option]... -img_1 <input-file 1> -img_2 <input-file 2>

DESCRIPTION
Available traces: -T "ossimAutRegUtil:debug" - General debug trace to standard out. -T "ossimAutRegUtil:log" - Writes a log file to output-file.log. -T "ossimAutRegUtil:options" - Writes the options to output-file-options.kwl.

Description: ossim-autreg: Utility application for autonomous image registration.

OPTIONS

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--oax_config_file
    <file_path> Specify a keyword list oax configuration file.

--ocv_config_file
    <file_path> Specify a keyword list OpenCV configuration file.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--quality
    <quality> NOT WORKING... Desired quality of tiepoint collection. Range: 1 to 5, Default = 3

--roi-center-llr
    <latitude> <longitude> <radius_in_meters> Specify the center ROI in latitude longitude space with radius in meters.

--roi-center-llwh
    <latitude> <longitude> <width> <height> Specify the center ROI in latitude longitude space with width and height in pixels.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

-h or --help
    Display this help and exit.

NOTES: 1) Note 1 content

    Note 1 place holder continued...

2) Note 2 content

    Note 2 place holder continued...

Example commands:

// Co-register image1 and image2 with 512x512 ROIs centered on point: ossim-autreg --op coreg --img_1 image1.ntf --img_2 image2.ntf --roi-center-llwh 28.097255037664400 -80.630762190246145 512 512

// Register image2 to control image1 (master): (TBD... not working) ossim-autreg --op masreg -img_m image1.ntf -img_s image2.ntf -cfg configFile.kwl

// Above command where all options are in a keyword list: ossim-autreg --options autreg-options.kwl

SEE ALSO
The full documentation for ossim-autreg is maintained as a Texinfo manual. If the info and ossim-autreg programs are properly installed at your site, the command

    info ossim-autreg

should give you access to the complete manual.